
using Godot;

namespace Rokojori
{  
  public class RDPipeline: RenderingObject
  {
    public RDPipeline( RokojoriCompositorEffect effect, Rid rid ):base( effect, rid )
    {}

    public static RDPipeline Create( RokojoriCompositorEffect effect, RDShader shader )
    {
      return new RDPipeline( effect, effect.rd.ComputePipelineCreate( shader.rid ) );
    }
  }
}